Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86206 - New timing attack on OpenSSL applications
Summary: New timing attack on OpenSSL applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssl
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-17 09:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-15 11:33:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:102 high SHIPPED_LIVE Important: openssl security update 2003-03-31 05:00:00 UTC

Description Mark J. Cox 2003-03-17 09:34:52 UTC
Description of problem:

Timing attack on RSA decryption because RSA blinding isn't
used in all applications (mod_ssl etc)

Version-Release number of selected component (if applicable):

This affects most applications that link to OpenSSL

How reproducible:

In order to exploit this issue you need to be local to the machine or be on a
network that enables you to reliably observe sub 1ms timing differences.  

Additional info:

http://crypto.stanford.edu/~dabo/papers/ssl-timing.pdf

This is CAN-2003-0147

A patch is being prepared by the OpenSSL team that enabled RSA blinding by default.

Comment 1 Mark J. Cox 2003-04-15 11:33:18 UTC
Was fixed by
http://rhn.redhat.com/errata/RHSA-2003-102.html


Note You need to log in before you can comment on or make changes to this bug.